Changes between Version 9 and Version 10 of PythonOcc/primitives


Ignore:
Timestamp:
Oct 30, 2013, 11:48:32 AM (7 years ago)
Author:
ptomsic
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v9 v10  
    5959== Preprosti program- Primer izdelave izvleka v prostor (Extrude) ==
    6060
    61 Primer izdelave kocke z dimenzijami 10x10x10. Postopek modeliranja v[[Image(Kocka.png, right)]]
     61Primer izdelave kocke z dimenzijami 10x10x10. Postopek modeliranja v [[Image(Kocka.png, right)]]
    6262komercialnih modelirnikih (SolidWorks, Catia, NX, ProEngineer, Inventor,...)
    6363je sledeči:
     
    7575običajno določi namesto nas.[[BR]][[BR]]
    7676
    77 Korak 01: Izdelava točke v prostoru
     77Korak 01: Izdelava točke v prostoru [[Image(Vozlisca.png, right)]]
    7878{{{
    7979#!python
     
    8585Vozlisce = BRepBuilderAPI_MakeVertex(Tocka)
    8686}}}
    87 Če hočemo prikazati vozlišča v modelnem oknu, potem je potrebno napisati ukaz za prihaz oblike:
     87Če hočemo prikazati vozlišča v modelnem oknu, potem je potrebno napisati ukaz za prikaz oblike:
    8888{{{
    8989#!python
    9090display.DisplayShape(Vozlisce.Shape())
    9191}}}
    92 [[BR]][[BR]]
     92[[BR]][[BR]][[BR]]
    9393
    9494Korak 02: Izdelava robov iz točk
     
    9797Rob = BRepBuilderAPI_MakeEdge(Zacetna_tocka, Koncna_tocka)
    9898}}}
     99Za izdelavo roba rabimo dva podatka, to je začetna točka ter končna točka robu. Če hočemo
     100prikazati izdelani rob v modelnem oknu, je potrebno zapisati ukaz:
     101{{{
     102#!python
     103display.DisplayShape(Rob.Shape())
     104}}}
     105[[BR]][[BR]][[BR]]
    99106
    100107Korak 03: Izdelava mrežnega modela iz točk
     
    104111Mreza2  = BRepBuilderAPI_MakeWire(Mreza.Wire(), Rob1.Edge())
    105112}}}
     113Vsak rob predstavlja svojo geometrijsko obliko v prostoru. Zato moramo, preden naredimo
     114površino te robove združiti v eno samo geometrijo. Pozorni moramo biti, da robovi tvorijo
     115zaprto obliko. Ukaz nam dovoli sočasno uporabo štirih argumentov- robov. Pri tem moramo
     116označiti, da gre za obliko roba [Rob.Edge()]. Kot rezultat dobimo združeno mrežo. Detajlna
     117razlaga uporabljenega ukaza: [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepBuilderAPI__MakeWire.html]
     118Če hočemo prikazati izdelani rob v modelnem oknu, je potrebno zapisati ukaz:
     119{{{
     120#!python
     121display.DisplayShape(Mreza.Shape())
     122}}}
     123[[BR]][[BR]][[BR]]
    106124
    107125Korak 04: Izdelava površine iz obstoječe mreže